Skip to content

Create an API key

POST
/v1/api-keys/

Creates a new API key for the authenticated user. The raw key is returned once and cannot be retrieved again.

object
permissions
required
Array<string>
>= 1 items
Allowed values: bank-accounts:read bank-accounts:write bank-accounts:delete bills:read bills:delete off-ramp-quotes:write
expiresAt

ISO 8601 expiration timestamp

string format: date-time
name
string
>= 1 characters <= 255 characters

Response for status 200

object
id
required
string
keyPrefix
required
string
rawKey
required

The raw API key. Store securely — it will not be shown again.

string
permissions
required
Array<string>
name
required
Any of:
string
expiresAt
required
Any of:
Any of:
Date
createdAt
required
Any of:
Date
warning
required
string

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string